| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ListItem Class Reference

`#include <ListItem.h>`

Collaboration diagram for ListItem:

[legend]
List of all members.

## Detailed Description

Definition of a small helper class to interprete Algorithm names.

Definition at line 9 of file ListItem.h.

## Public Member Functions
| ListItem (const std::string &itm)
| ListItem (const std::string &itm, const std::string &deftyp)
const std::string & | type () const
const std::string & | name () const
## Private Member Functions
void | init (const std::string &itm, const std::string &deftyp)
## Private Attributes
std::string | m_type
std::string | m_name

## Constructor & Destructor Documentation

ListItem::ListItem | ( | const std::string & | itm | ) | `[inline]`

Definition at line 17 of file ListItem.h.

References init().

    00017                                     {
    00018     init(itm, itm);
    00019   }

ListItem::ListItem | ( | const std::string & | itm,
|  | const std::string & | deftyp |
| ) |  |  | `[inline]`

Definition at line 20 of file ListItem.h.

References init().

    00020                                                              {
    00021     init(itm, deftyp);
    00022   }

## Member Function Documentation

void ListItem::init | ( | const std::string & | itm,
|  | const std::string & | deftyp |
| ) |  |  | `[inline, private]`

Definition at line 11 of file ListItem.h.

References std::basic_string< _CharT, _Traits, _Alloc >::find_first_of(), m_name, m_type, and std::basic_string< _CharT, _Traits, _Alloc >::substr().

Referenced by ListItem().

    00011                                                               {
    00012     int slash_pos = itm.find_first_of("/");
    00013     m_name = (slash_pos > 0) ? itm.substr( slash_pos + 1) : itm;
    00014     m_type = (slash_pos > 0) ? itm.substr( 0, slash_pos ) : deftyp;
    00015   }

const std::string& ListItem::type | ( |  | ) | const`[inline]`

Definition at line 23 of file ListItem.h.

References m_type.

Referenced by ApplicationMgr::configure(), ServiceManager::getService(), ServiceManager::makeService(), AuditorSvc::newAuditor_(), DataOnDemandSvc::setupAlgHandlers(), and DataOnDemandSvc::update().

    00023                                     {
    00024     return m_type;
    00025   }

const std::string& ListItem::name | ( |  | ) | const`[inline]`

Definition at line 26 of file ListItem.h.

References m_name.

Referenced by ApplicationMgr::configure(), ServiceManager::getService(), ServiceManager::makeService(), AuditorSvc::newAuditor_(), DataOnDemandSvc::setupAlgHandlers(), and DataOnDemandSvc::update().

    00026                                     {
    00027     return m_name;
    00028   }

## Member Data Documentation

std::string ListItem::m_type`[private]`

Definition at line 10 of file ListItem.h.

Referenced by init(), and type().

std::string ListItem::m_name`[private]`

Definition at line 10 of file ListItem.h.

Referenced by init(), and name().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/ListItem.h